package com.prolog.cs.biz.outbound.model.entity;

import com.prolog.framework.bz.core.model.BaseModel;
import com.prolog.framework.core.annotation.AutoKey;
import com.prolog.framework.core.annotation.Column;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Table;

import java.math.BigDecimal;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 *
 * </p>
 *
 * @author denglt
 * @since 2021-06-12
 */

@Table(value = "WMS_WAVE_BILL_D_PRE_POSITION", appendDefaultJdbcType = true, camelToUnderline = true)
public class BillDPrePositionDO extends BaseModel {


    private static final long serialVersionUID = 5170984544311391655L;
    @ApiModelProperty(value = "id")
    @Column("ID")
    @Id
    @AutoKey(type = AutoKey.TYPE_SNOWFLAKE)
    private String id;

    @ApiModelProperty(value = "订单明细id")
    @Column("BILL_D_ID")
    private String billDId;

    @ApiModelProperty(value = "波次id")
    @Column("WAVE_ID")
    private String waveId;

    @ApiModelProperty(value = "商品id")
    @Column("ITEM_ID")
    private String itemId;

    @ApiModelProperty(value = "订单id")
    @Column("BILL_ID")
    private String billId;

    @ApiModelProperty(value = "批号")
    @Column("MANUFACTURER_LOT_NUM")
    private String manufacturerLotNum;

    @ApiModelProperty(value = "数量")
    @Column("QTY")
    private BigDecimal qty;

    @ApiModelProperty(value = "包装转换数量")
    @Column("CONVERSION_RATE")
    private BigDecimal conversionRate;

    @ApiModelProperty(value = "库位id")
    @Column("LOCATION_ID")
    private String locationId;

    @ApiModelProperty(value = "库位类型")
    @Column("LOCATION_TYPE")
    private String locationType;

    @ApiModelProperty(value = "库区id")
    @Column("AREA_ID")
    private String areaId;

    @ApiModelProperty(value = "库区编码")
    @Column("AREA_CODE")
    private String areaCode;


    @ApiModelProperty(value = "库区类别")
    @Column("AREA_CATEGORY")
    private String areaCategory;

    @ApiModelProperty(value = "批次号Id")
    @Column("batch_id")
    private String batchId;

    public String getBatchId() {
        return batchId;
    }

    public void setBatchId(String batchId) {
        this.batchId = batchId;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getBillDId() {
        return billDId;
    }

    public void setBillDId(String billDId) {
        this.billDId = billDId;
    }

    public String getWaveId() {
        return waveId;
    }

    public void setWaveId(String waveId) {
        this.waveId = waveId;
    }

    public String getItemId() {
        return itemId;
    }

    public void setItemId(String itemId) {
        this.itemId = itemId;
    }

    public String getBillId() {
        return billId;
    }

    public void setBillId(String billId) {
        this.billId = billId;
    }

    public String getManufacturerLotNum() {
        return manufacturerLotNum;
    }

    public void setManufacturerLotNum(String manufacturerLotNum) {
        this.manufacturerLotNum = manufacturerLotNum;
    }

    public BigDecimal getQty() {
        return qty;
    }

    public void setQty(BigDecimal qty) {
        this.qty = qty;
    }

    public BigDecimal getConversionRate() {
        return conversionRate;
    }

    public void setConversionRate(BigDecimal conversionRate) {
        this.conversionRate = conversionRate;
    }

    public String getLocationId() {
        return locationId;
    }

    public void setLocationId(String locationId) {
        this.locationId = locationId;
    }

    public String getLocationType() {
        return locationType;
    }

    public void setLocationType(String locationType) {
        this.locationType = locationType;
    }

    public String getAreaId() {
        return areaId;
    }

    public void setAreaId(String areaId) {
        this.areaId = areaId;
    }

    public String getAreaCode() {
        return areaCode;
    }

    public void setAreaCode(String areaCode) {
        this.areaCode = areaCode;
    }

    public String getAreaCategory() {
        return areaCategory;
    }

    public void setAreaCategory(String areaCategory) {
        this.areaCategory = areaCategory;
    }
}
